<?php
/** 
 * ################################################################################
 * ADMIN/SETTINGS UI
 * ################################################################################
 */

// hook the plugin menu link into the admin menu
add_action('admin_menu', 'gothru_create_menu');

/**
 * Create the menu link to the plugin settings page and hook into admin_init
 */
function gothru_create_menu() 
{

	//create new top-level menu
	add_options_page('GoThru Plugin Settings', 'GoThru', 'administrator', __FILE__, 'gothru_settings_page');

	//call register settings function
	add_action( 'admin_init', 'gothru_register_settings' );
}

/**
 * Registers all of the plugin settings on admin_init
 */
function gothru_register_settings() 
{
	//register our settings
	//register_setting( 'gothru-settings-group', 'gothru_cache_duration' );
	register_setting( 'gothru-settings-group', 'gothru_css' );
	//register_setting( 'gothru-settings-group', 'gothru_js' );
	//register_setting( 'gothru-settings-group', 'gothru_enable_template_shortcodes' );
	//register_setting( 'gothru-settings-group', 'gothru_enable_widget_shortcodes' );
	//register_setting( 'gothru-settings-group', 'gothru_enable_editor_button' );
	//register_setting( 'gothru-settings-group', 'gothru_html_1' );
	//register_setting( 'gothru-settings-group', 'gothru_html_2' );
	//register_setting( 'gothru-settings-group', 'gothru_html_3' );
	//register_setting( 'gothru-settings-group', 'gothru_error_template' );
}

/**
 * Render the settings page
 */
function gothru_settings_page() 
{
?>
<style>
	#gothru_header
	{
		border: solid 1px #c6c6c6;
		margin: 12px 2px 8px 2px;
		padding: 20px;
		background-color: #e1e1e1;
	}
	#gothru_header h4
	{
		margin: 0px 0px 0px 0px;
	}
	#gothru_header tr
	{
		vertical-align: top;
	}
	
	.gothru_section_header
	{
		border: solid 1px #c6c6c6;
		margin: 12px 2px 8px 2px;
		padding: 20px;
		background-color: #e1e1e1;
	}
	
</style>

<div class="wrap">
<div id="icon-options-general" class="icon32"><br></div>
<h2>GoThru Settings</h2>

<?php 
// if simplepie isn't installed, this will display a warning
gothru_include_simplepie() 
?>

	

<form method="post" action="options.php">

	<?php settings_fields( 'gothru-settings-group' ); ?>
	<table class="form-table">
		

	</table>
	
	<p class="submit">
	<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
	</p>

</form>
</div>

<?php 

}

?>